Subject: Re: bug#41719: 28.0.50; [FR] emacsclient should provide '--name' option as emacs

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Jun 2022 09:32:01 +0300

> Cc: [email-masked]
> Date: Sun, 12 Jun 2022 13:10:18 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Vladimir Lomov <[email-masked]> writes:
> 
> > The 'emacs' allows to set the so-called 'instance' when run in X window
> > system using '--name' option. The same time the 'emacsclient' doesn't
> > have such option and if 'emacs' is run in daemon mode ('emacs
> > --daemon=...') it is impossible (?) to change the 'instance' of emacs
> > window (frame in Emacs terminology) created by 'emacsclient'.
> >
> > I tried to use '-F' option of 'emacsclient' but I didn't get desire
> > result, WM_CLASS isn't changed, only WM_ICON_NAME. It is possible that I
> > do things wrong,
> >
> >   $ emacsclient -s /run/user/1000/emacs-default -F '((name . "default") (title . "USER@HOST"))'
> >
> > but this topic is covered by manual (Emacs, 21.11 "Frame Parameters" and
> > Emacs Lisp 29.4.3 "Window Frame Parameters") very unclear.
> >
> > Even if it is possible to change the 'instance' of Emacs window created
> > by 'emacsclient' using the '-F' option it would be nice to have more
> > simple way to achieve this. On the other hand, if Emacs is run in daemon
> > mode it is the purpose of emacsclient to (allow to) set the 'instance'
> > and 'title' of created window.
> 
> Could you please show where in the manual it is unclear?
> I don't think we have any support at all for setting the WM_CLASS of
> Emacs on a per-frame basis.

In addition, I don't think I understand what is the feature (in
user-level terms, not in terms of X-specific internal details) is
being sought out here.

The discussion mentioned various options of Emacs and emacsclient,
which are meant to support multiple Emacs servers running on the same
system and the ability of emacsclient to connect to one specific
server.  This functionality does work, so if that is not what is being
requested here, then what is?  IOW, why is important what is the
WM_CLASS of Emacs?